Request PIN Control access token by plasticId
deprecated
This operation is used to create the PIN control access token.
The successful response from this call returns an id and a pinURL if request was for viewing pin. The cardholder device should be instructed to do a POST call to the pinURL with the content of the id in a form field named controlId.
POST
/
v1
/
card
/
{cardId}
/
plastic
/
{plasticId}
Request PIN Control access token by plasticId
curl --request POST \
--url 'https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/pincontrol/v1/card/{cardId}/plastic/{plasticId}' \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/pincontrol/v1/card/{cardId}/plastic/{plasticId}"
payload = {}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/pincontrol/v1/card/{cardId}/plastic/{plasticId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"pinURL": "<string>",
"pinFrameURL": "<string>"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorType": "STATIC_VALIDATION_ERROR",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorType": "STATIC_VALIDATION_ERROR",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorType": "STATIC_VALIDATION_ERROR",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorType": "STATIC_VALIDATION_ERROR",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}Deprecated: This API endpoint is no longer supported.
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The id of the card for which the PIN should be accessed
The id of the card's plastic for which the PIN should be accessed
Query Parameters
The audit user to log the request
Body
application/json
The related PIN control request data
Describes the scope of the operation that is authorized by the user.
Available options:
VIEW_PIN, SET_PIN Was this page helpful?
⌘I
Request PIN Control access token by plasticId

